View Issue Details

IDProjectCategoryView StatusLast Update
0000948FreeCADBugpublic2013-07-09 10:38
ReportergwilldenAssigned Towmayer 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.14 
Summary0000948: Part names are incorrect on import from STEP file
DescriptionI am using version 0.13, revision 1803, Windows 7, 32-bit.

This bug is related to bug/issue 0000550.

I have a 6663 KB step file that appears to import correctly but the part names do not match the strings in the PRODUCT fields of the file. I attempted to upload the file but it failed since this bug reporting system has a 5MB file limit on attachments. Please advise how to get this step file to you.

Also the bounding boxes for the parts appear in the wrong places that are completely separate from the parts.
TagsNo tags attached.

Activities

wmayer

2013-01-08 10:20

administrator   ~0002819

Is it possible to compress the file using a ZIP tool? If this file is still to big then simply split the file into several parts and upload them separately. AFAIK the 5MB limit applies only to a single file you want to upload.

Btw, the file is it allowed to be viewed by the public? If not we can make this ticket private so that only the developers can see it.

2013-01-08 11:45

 

Carrier_Body.zip (Attachment missing)

gwillden

2013-01-08 11:53

reporter   ~0002826

I attached the zipped STEP file (AP214). I also have an AP203 version if needed. There are no restrictions on this STEP file. It was created by some engineering students using Pro-E.

gwillden

2013-01-14 21:55

reporter   ~0002851

Have you been able to reproduce the problem on your end?

I want to be able to use FreeCAD for a project I working on for DARPA. They are very keen to use open source, plus it would be good publicity for the FreeCAD project.

Thank you for your help.

wmayer

2013-07-02 03:49

administrator   ~0003323

Loads fine e.g. with CADExchanger.

wmayer

2013-07-09 10:38

administrator   ~0003363

git show adc0052

Issue History

Date Modified Username Field Change
2013-01-07 20:08 gwillden New Issue
2013-01-08 10:20 wmayer Note Added: 0002819
2013-01-08 11:45 gwillden File Added: Carrier_Body.zip
2013-01-08 11:53 gwillden Note Added: 0002826
2013-01-14 21:55 gwillden Note Added: 0002851
2013-07-02 03:49 wmayer Note Added: 0003323
2013-07-02 03:49 wmayer Assigned To => wmayer
2013-07-02 03:49 wmayer Status new => confirmed
2013-07-09 10:38 wmayer Note Added: 0003363
2013-07-09 10:38 wmayer Status confirmed => closed
2013-07-09 10:38 wmayer Resolution open => fixed
2013-07-09 10:38 wmayer Fixed in Version => 0.14